import request from '@/utils/request'

/*  添加传感器 */
export function addDevice(params) {
  return request({
    url: '/ajax/envData/transducer',
    method: 'post',
    data: params
  })
}

/*  更新传感器信息 */
export function updateDevice(params) {
  return request({
    url: '/ajax/envData/transducer/update',
    method: 'post',
    data: params
  })
}

/*  删除传感器信息 */
export function deleteDevice(params) {
  return request({
    url: '/ajax/envData/transducer/delete',
    method: 'get',
    params
  })
}

/*  查询单个传感器 */
export function queryDevice(params) {
  return request({
    url: '/ajax/envData/transducer/qo',
    method: 'get',
    params
  })
}

/*  分页查询传感器 */
export function pageQueryDevice(params) {
  return request({
    url: '/ajax/envData/transducer/pq',
    method: 'get',
    params
  })
}

/*  传感器所属采集盒编号列表 */
export function DeviceOfservice(params) {
  return request({
    url: '/ajax/envData/server/typeCode',
    method: 'get',
    params
  })
}

/*  校验传感器编号 */
export function checkDeviceCode(params) {
  return request({
    url: '/ajax/envData/transducer/checkCode',
    method: 'get',
    params
  })
}

/*  校验传感器内部编号 */
export function checkDeviceInternalCode(params) {
  return request({
    url: '/ajax/envData/transducer/checkSeq',
    method: 'get',
    params
  })
}

/*  所属方位 */
export function ownPosition() {
  return request({
    url: '/ajax/envData/transducer/position',
    method: 'get'
  })
}
